#include "PalletTracker.h"
#include "Net/UnrealNetwork.h"
#include "Components/SceneComponent.h"
#include "DBDNavEvadeLoopComponent.h"

class AActor;

void APalletTracker::OnRep_TrackedPalletState() const
{

}

void APalletTracker::OnRep_TrackedPallet() const
{

}

bool APalletTracker::CanSpawnPalletAtLocation(const AActor* spawningActor) const
{
	return false;
}

void APalletTracker::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(APalletTracker, _trackedPallet);
	DOREPLIFETIME(APalletTracker, _procedurallySpawnedPallet);
	DOREPLIFETIME(APalletTracker, _trackedPalletState);
}

APalletTracker::APalletTracker()
{
	this->_indicatorLocation = CreateDefaultSubobject<USceneComponent>(TEXT("IndicatorLocation"));
	this->_navEvadeLoopComponent = CreateDefaultSubobject<UDBDNavEvadeLoopComponent>(TEXT("NavEvadeLoopComponent"));
	this->_trackedPalletState = EPalletState::Destroyed;
}
